Bug 20494 - Remove unused code in neworderempty.pl and addbiblio.pl
Summary: Remove unused code in neworderempty.pl and addbiblio.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-29 12:35 UTC by Nick Clemens
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20494 - Remove unused code in neworderempty.pl and addbiblio.pl (4.22 KB, patch)
2018-03-29 12:37 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20494 - Remove unused code in neworderempty.pl and addbiblio.pl (4.27 KB, patch)
2018-03-29 18:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20494: Remove unused code in neworderempty.pl and addbiblio.pl (4.34 KB, patch)
2018-03-30 08:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-03-29 12:35:06 UTC
z3950authortemplate is referenced in some comments and there are a few other lines commented out that seem to be cruft
Comment 1 Nick Clemens 2018-03-29 12:37:43 UTC
Created attachment 73421 [details] [review]
Bug 20494 - Remove unused code in neworderempty.pl and addbiblio.pl

Should be sufficient to read code and see all lines were commented and
that this patch removes useless lines

To be thorough, ensure that your can add an order to a basket and add a
biblio.
Comment 2 M. Tompsett 2018-03-29 18:58:51 UTC
Created attachment 73441 [details] [review]
Bug 20494 - Remove unused code in neworderempty.pl and addbiblio.pl

Should be sufficient to read code and see all lines were commented and
that this patch removes useless lines

To be thorough, ensure that your can add an order to a basket and add a
biblio.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Katrin Fischer 2018-03-30 08:56:45 UTC
Created attachment 73454 [details] [review]
Bug 20494: Remove unused code in neworderempty.pl and addbiblio.pl

Should be sufficient to read code and see all lines were commented and
that this patch removes useless lines

To be thorough, ensure that your can add an order to a basket and add a
biblio.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-04-02 21:15:42 UTC
Pushed to master for 18.05, thanks to everybody involved!